import request from '@/utils/request'

// 查询员工PPE检查列表
export function listPerson(query) {
  return request({
    url: '/production/person/list',
    method: 'get',
    params: query
  })
}

export function listAllPerson(query) {
  return request({
    url: '/production/person/listAll',
    method: 'get',
    params: query
  })
}

// 查询员工PPE检查详细
export function getPerson(id) {
  return request({
    url: '/production/person/' + id,
    method: 'get'
  })
}

// 新增员工PPE检查
export function addPerson(data) {
  return request({
    url: '/production/person',
    method: 'post',
    data: data
  })
}

// 修改员工PPE检查
export function updatePerson(data) {
  return request({
    url: '/production/person',
    method: 'put',
    data: data
  })
}

// 删除员工PPE检查
export function delPerson(id) {
  return request({
    url: '/production/person/' + id,
    method: 'delete'
  })
}

// 导出员工PPE检查
export function exportPerson(query) {
  return request({
    url: '/production/person/export',
    method: 'get',
    params: query
  })
}
